Bug 15876 - Split off Javadoc + parser DB from apisupport into new module
Split off Javadoc + parser DB from apisupport into new module
Status: CLOSED FIXED
Product: apisupport
Classification: Unclassified
Component: API docs
3.x
PC Linux
: P4 (vote)
: 3.x
Assigned To: Jesse Glick
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-24 20:21 UTC by Jesse Glick
Modified: 2006-02-14 17:59 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2001-09-24 20:21:04 UTC
API Support could split off one module which simply provides the
Javadoc and the code completion databases, as these are larger than
the real module and some people would like them in a separate NBM.
Comment 1 Jan Chalupa 2001-11-27 10:45:17 UTC
Target milestone -> 3.3.1.
Comment 2 Jesse Glick 2002-01-20 15:47:13 UTC
Probably should do the same for apisupport+ant - make it buildable
separately.
Comment 3 Jesse Glick 2002-01-30 12:28:26 UTC
Fixed in the trunk.

In directory apisupport:
committed   * Up-To-Date  1.7         apisupport/.cvsignore
removed     * Up-To-Date  1.13        apisupport/apisupport-ant.mf
committe   * Up-To-Date  1.54        apisupport/build.xml
In directory apisupport/ant:
added       * Up-To-Date  1.1         apisupport/ant/.cvsignore
added       * Up-To-Date  1.1         apisupport/ant/build.xml
added       * Up-To-Date  1.1         apisupport/ant/manifest.mf
In directory apisupport/apidocs:
added       * Up-To-Date  1.1         apisupport/apidocs/.cvsignore
added       * Up-To-Date  1.1         apisupport/apidocs/build.xml
added       * Up-To-Date  1.1         apisupport/apidocs/manifest.mf
In directory apisupport/apidocs/release:
In directory apisupport/apidocs/release/system:
In directory apisupport/apidocs/release/system/ParserDB:
added       * Up-To-Date  1.1        
apisupport/apidocs/release/system/ParserDB/OpenAPIs.jcb
added       * Up-To-Date  1.1        
apisupport/apidocs/release/system/ParserDB/OpenAPIs.jcs
In directory apisupport/apidocs/src:
In directory apisupport/apidocs/src/org:
In directory apisupport/apidocs/src/org/netbeans:
In directory apisupport/apidocs/src/org/netbeans/modules:
In directory apisupport/apidocs/src/org/netbeans/modules/apisupport:
In directory
apisupport/apidocs/src/org/netbeans/modules/apisupport/apidocs:
added       * Up-To-Date  1.1        
apisupport/apidocs/src/org/netbeans/modules/apisupport/apidocs/Bundle.properties
added       * Up-To-Date  1.1        
apisupport/apidocs/src/org/netbeans/modules/apisupport/apidocs/ShowAPIJavadocIcon.gif
added       * Up-To-Date  1.1        
apisupport/apidocs/src/org/netbeans/modules/apisupport/apidocs/javadoc.xml
added       * Up-To-Date  1.1        
apisupport/apidocs/src/org/netbeans/modules/apisupport/apidocs/layer.xml
added       * Up-To-Date  1.1        
apisupport/apidocs/src/org/netbeans/modules/apisupport/apidocs/local-openapis.url
added       * Up-To-Date  1.1        
apisupport/apidocs/src/org/netbeans/modules/apisupport/apidocs/openide-jar.xml
In directory apisupport/javahelp:
In directory apisupport/javahelp/org:
In directory apisupport/javahelp/org/netbeans:
In directory apisupport/javahelp/org/netbeans/modules:
In directory apisupport/javahelp/org/netbeans/modules/apisupport:
In directory apisupport/javahelp/org/netbeans/modules/apisupport/help:
committed   * Up-To-Date  1.11       
apisupport/javahelp/org/netbeans/modules/apisupport/help/apis.html
committed   * Up-To-Date  1.9        
apisupport/javahelp/org/netbeans/modules/apisupport/help/layers.html
In directory apisupport/release:
In directory apisupport/release/system:
In directory apisupport/release/system/ParserDB:
removed     * Up-To-Date  1.7        
apisupport/release/system/ParserDB/OpenAPIs.jcb
removed     * Up-To-Date  1.7        
apisupport/release/system/ParserDB/OpenAPIs.jcs
In directory apisupport/src:
In directory apisupport/src/org:
In directory apisupport/src/org/netbeans:
In directory apisupport/src/org/netbeans/modules:
In directory apisupport/src/org/netbeans/modules/apisupport:
committed   * Up-To-Date  1.5        
apisupport/src/org/netbeans/modules/apisupport/Bundle.properties
In directory apisupport/src/org/netbeans/modules/apisupport/resources:
removed     * Up-To-Date  1.1        
apisupport/src/org/netbeans/modules/apisupport/resources/ShowAPIJavadocIcon.gif
committed   * Up-To-Date  1.16       
apisupport/src/org/netbeans/modules/apisupport/resources/TemplateNames.properties
removed     * Up-To-Date  1.1        
apisupport/src/org/netbeans/modules/apisupport/resources/javadoc.xml
removed     * Up-To-Date  1.1        
apisupport/src/org/netbeans/modules/apisupport/resources/local-openapis.url
committed   * Up-To-Date  1.34       
apisupport/src/org/netbeans/modules/apisupport/resources/mf-layer.xml
removed     * Up-To-Date  1.1        
apisupport/src/org/netbeans/modules/apisupport/resources/openide-jar.xml

nbbuild/build.xml 1.172

Comment 4 Quality Engineering 2003-06-30 15:01:22 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 5 Quality Engineering 2003-06-30 15:03:20 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo